> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everflow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Campaign Click QR Code

Generate a QR code image that points to the click tracking link for a smart link (campaign) and affiliate pair. The body parameters are the same as the Generate Smart Link Tracking Link endpoint. Returns a streaming response with Content-Type image/png.


## OpenAPI

````yaml openapi/tracking.yaml post /networks/tracking/campaigns/clicks/qr
openapi: 3.0.3
info:
  title: Everflow Network API - Tracking Links
  description: >
    Endpoints for generating tracking links for offers and affiliates. For
    tracking concepts and setup, see the [Tracking
    guide](https://helpdesk.everflow.io/customer/introduction-to-tracking-with-everflow).
  version: 1.0.0
servers:
  - url: https://api.eflow.team/v1
security: []
tags:
  - name: Tracking Links
paths:
  /networks/tracking/campaigns/clicks/qr:
    post:
      tags:
        - Tracking Links
      summary: Generate Smart Link Tracking Link QR Code
      requestBody:
        required: true
        content:
          application/json:
            example:
              network_campaign_id: 1
              network_affiliate_id: 1
            schema:
              type: object
              required:
                - network_campaign_id
                - network_affiliate_id
              properties:
                network_campaign_id:
                  type: integer
                  description: The ID of the smartlink.
                network_affiliate_id:
                  type: integer
                  description: The ID of the affiliate.
                network_traffic_source_id:
                  type: integer
                  description: An optional traffic source ID.
                network_tracking_domain_id:
                  type: integer
                  description: An optional ID for a specific tracking domain.
                source_id:
                  type: string
                  description: An optional source_id query string parameter.
                sub1:
                  type: string
                sub2:
                  type: string
                sub3:
                  type: string
                sub4:
                  type: string
                sub5:
                  type: string
                sub6:
                  type: string
                sub7:
                  type: string
                sub8:
                  type: string
                sub9:
                  type: string
                sub10:
                  type: string
                is_encrypt_parameters:
                  type: boolean
                  description: Whether to encrypt all query string parameters.
                is_redirect_link:
                  type: boolean
                  description: Override the direct linking setting.
      responses:
        '200':
          description: OK — returns a PNG image file.
          content:
            image/png:
              schema:
                type: string
                format: binary
      security:
        - API Key: []
components:
  securitySchemes:
    API Key:
      description: The Everflow API key generated from the Control Center > Security.
      in: header
      name: X-Eflow-Api-Key
      type: apiKey

````